PDA

Visualizza la versione completa : [Ruby] require 'mysql'


Paul90
30-01-2013, 00:57
Ciao ragazzi,ho un problema:
vorrei fare una RubyApplication che faccia riferimento a un DB mysql per la gestione dei parametri... e fino qui l'idea chiara.... pero il problema sorge al comando
require 'mysql' in quanto netbeans mi dice "C:\..\..\Documenti\ruby\...\lib\main.rb:12:in `require': no such file to load -- mysql (LoadError) " .
Ho provato a installare la gemma di mysql ma stranamente netbeans ha gia installate le seguenti gemme:
activerecord-jdbcmysql-adapter
jdbc-mysql

alche tento di aggiornarle ---> aggiornamento fallito :dh:

Morale della situazione sto perdendo le speranze... e una domanda mi sta sorgendo: "si potra mai fare quello che voglio???" :afraid:
Abbiate pazienza se commetto errori elementari ma la prima volta che cerco di fare una cosa simile con ruby ... :D

Loading